> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-references/package-management-api/package/deletes-a-package-for-a-specified-tenant-code-order-reference-and-package-reference.md).

# Deletes a package for a specified tenant code, order reference and package reference.

```json
{"openapi":"3.1.1","info":{"title":"Package Management API","version":"1"},"servers":[{"url":"https://api.sandbox.esw.com"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","name":"Authorization","in":"header","description":"Please insert JWT with Bearer into field"}},"schemas":{"Logistics.PackageManagement.WebApiService.Models.Responses.ErrorResponse":{"description":"Represents an error response containing detailed information about validation or server errors.","type":"object","properties":{"errors":{"description":"A collection of errors where the key is the field name and the value is a list of error messages.","type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"type":{"description":"The type of error encountered.","type":"string"},"title":{"description":"A brief title or summary of the error.","type":"string"},"status":{"format":"int32","description":"The HTTP status code associated with the error.","type":"integer"},"detail":{"description":"Detailed information about the error.","type":"string"},"instance":{"description":"An instance identifier for tracing the error.","type":"string"},"additionalProp1":{"description":"Additional property 1, used for custom data.","type":"string"},"additionalProp2":{"description":"Additional property 2, used for custom data.","type":"string"},"additionalProp3":{"description":"Additional property 3, used for custom data.","type":"string"},"traceId":{"description":"A trace identifier for debugging or logging purposes.","type":"string"}},"additionalProperties":false}}},"paths":{"/packagemanagement/v1/{tenantCode}/orders/{orderReference}/packages/{packageReference}":{"delete":{"tags":["Package"],"summary":"Deletes a package for a specified tenant code, order reference and package reference.","parameters":[{"schema":{"type":"string"},"in":"path","name":"tenantCode","required":true},{"schema":{"type":"string"},"in":"path","name":"orderReference","required":true},{"schema":{"type":"string"},"in":"path","name":"packageReference","required":true}],"responses":{"204":{"description":"Package has been successfully marked as cancelled (deleted) or it's status is already 'Cancelled'."},"400":{"description":"Invalid request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Logistics.PackageManagement.WebApiService.Models.Responses.ErrorResponse"}}}},"401":{"description":"Unauthenticated client.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Logistics.PackageManagement.WebApiService.Models.Responses.ErrorResponse"}}}},"403":{"description":"Client does not have access rights to the resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Logistics.PackageManagement.WebApiService.Models.Responses.ErrorResponse"}}}},"404":{"description":"Requested resource does not exist (tenantCode, orderReference, or packageReference).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Logistics.PackageManagement.WebApiService.Models.Responses.ErrorResponse"}}}},"500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Logistics.PackageManagement.WebApiService.Models.Responses.ErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.esw.com/api-references/package-management-api/package/deletes-a-package-for-a-specified-tenant-code-order-reference-and-package-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
